Summary:        Library for Limited Error Raster Compression
Name:           liblerc
Version:        4.0.0
Release:        3%{?dist}
License:        Apache-2.0
URL:            https://github.com/Esri/lerc
Source0:        %{url}/archive/v%{version}/lerc-%{version}.tar.gz

BuildRequires:  cmake gcc-c++
BuildRequires:  python3-devel

%description
LERC is an open-source image or raster format that supports fast encoding and decoding for any 
pixel type (not just RGB or Byte). Users set the maximum compression error per pixel when encoding, 
so the precision of the original image is preserved (within user defined error bounds).

This repository contains a C++ library for both encoding and decoding images.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1 -n lerc-%{version}

sed -i 's/\r$//' NOTICE README.md doc/MORE.md


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md CHANGELOG.md NOTICE
%{_libdir}/libLerc.so.4

%files devel
%doc doc/*
%{_includedir}/Lerc_c_api.h
%{_includedir}/Lerc_types.h
%{_libdir}/libLerc.so
%{_libdir}/pkgconfig/Lerc.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Wang Guodong <gordonwwang@tencent.com> - 4.0.0-1
- initial build
